var uglify = require('uglify-js');
var cleanCSS = require('clean-css');

var simplifyError = function (err) {
	var error;
	if (err.stack) {
		error = {
			message: err.message,
			stack: err.stack
		}
	} else {
		error = err;
	}
	return err;
};

var options = {
	fromString: true,
	mangle: true
};

process.on('message', function (m) {
	if (m.type == 'minify') {
		var options = {
			fromString: true
		};
		
		if (m.data.mangle != null) {
			options.mangle = m.data.mangle;
		}
		
		var result = {};
		try {
			result.type = 'result';
			
			if (m.data.type == 'javascript') {
				result.data = uglify.minify(m.data.content, options).code;
			} else {
				result.data = cleanCSS.process(m.data.content);
			}
		} catch (err) {
			result.type = 'error';
			result.data = simplifyError(err);
		}
		process.send(result);
	}
});